%global pkgname qrcode

Summary:        Python QR Code image generator
Name:           python-%{pkgname}
Version:        7.3.1
Release:        2%{?dist}
License:        BSD
URL:            https://github.com/lincolnloop/python-qrcode
Source0:        https://pypi.python.org/packages/source/q/qrcode/qrcode-%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools python3-six python3-imaging

BuildArch:      noarch

%description
A standard install uses pypng to generate PNG files
and can also render QR codes directly to the console.

%package -n python3-%{pkgname}
Summary:        Python QR Code image generator
Requires:       python3-imaging python3-setuptools
Requires:       python3-%{pkgname}-core = %{version}-%{release}

%description -n python3-%{pkgname}
This module uses the Python Imaging Library (PIL) to allow for the
generation of QR Codes. Python 3 version.

%package -n python3-%{pkgname}-core
Summary:        Python 3 QR Code image generator (core library)
Requires:       python3-six

%description -n python3-%{pkgname}-core
Core Python 3 module for QR code generation. Does not contain image rendering.

%prep
%autosetup -n qrcode-%{version}
sed -i '1d' qrcode/console_scripts.py

%build
%py3_build

%install
%py3_install
rm -r %{buildroot}%{python3_sitelib}/%{pkgname}/tests
ln -s qr %{buildroot}%{_bindir}/qrcode

%check
%{__python3} -m unittest -v qrcode.tests.test_qrcode.QRCodeTests

%files -n python3-%{pkgname}
%{_bindir}/qr
%{_bindir}/qrcode
%{_mandir}/man1/qr.1*
%{python3_sitelib}/%{pkgname}/image/svg.py*
%{python3_sitelib}/%{pkgname}/image/pil.py*
%{python3_sitelib}/%{pkgname}/image/styledpil.py*
%{python3_sitelib}/%{pkgname}/image/__pycache__/svg.*
%{python3_sitelib}/%{pkgname}/image/__pycache__/pil.*
%{python3_sitelib}/%{pkgname}/image/__pycache__/styledpil.*

%files -n python3-%{pkgname}-core
%license LICENSE
%doc README.rst CHANGES.rst
%dir %{python3_sitelib}/%{pkgname}/
%dir %{python3_sitelib}/%{pkgname}/image
%dir %{python3_sitelib}/%{pkgname}/image/__pycache__
%{python3_sitelib}/%{pkgname}*.egg-info
%{python3_sitelib}/%{pkgname}/*.py*
%{python3_sitelib}/%{pkgname}/__pycache__
%{python3_sitelib}/%{pkgname}/image/__init__.py*
%{python3_sitelib}/%{pkgname}/image/base.py*
%{python3_sitelib}/%{pkgname}/image/pure.py
%{python3_sitelib}/%{pkgname}/image/styles/
%{python3_sitelib}/%{pkgname}/image/__pycache__/__init__.*
%{python3_sitelib}/%{pkgname}/image/__pycache__/base.*
%{python3_sitelib}/%{pkgname}/image/__pycache__/pure.*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.3.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 Miaojun Dong <zoedong@tencent.com> - 7.3.1-1
- initial build
